%global srcname astropy-iers-data

Name: python-%{srcname}
Version: 0.2024.2.5.0.30.52
Release: 1%{?dist}
Summary: IERS Earth Rotation and Leap Second tables for the astropy core package
License: BSD-3-Clause

URL: https://github.com/astropy/astropy-iers-data
Source0: %{pypi_source}
Patch0: use-stable-astropy.patch

BuildArch: noarch
BuildRequires:  python3-devel

%global _description %{expand:
This package provides IERS Earth Rotation and Leap Second tables for the astropy.utils.iers package.

There the following IERS data products are included:

* Bulletin A (IERS_A) is updated weekly and has historical data

  starting from 1973 and predictive data for 1 year into the
  future. It contains Earth orientation parameters x/y pole, UT1-UTC
  and their errors at daily intervals.
* Bulletin B (IERS_B) is updated monthly and has data from 1962 up to

  the time when it is generated. This file contains Earth’s
  orientation in the IERS Reference System including Universal Time,
  coordinates of the terrestrial pole, and celestial pole offsets.
The package also provides leap second data.

Note: This package is not currently meant to be used directly by users, and only meant to be used from the core Astropy package.}     

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}

%description -n python3-%{srcname}
%_description

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t -x test

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files astropy_iers_data

%check
%{tox}

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst 

%changelog
* Thu Jan 04 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2024.2.5.0.30.52
- Initial release


